Extending Qt Creator Manual | JsonWizardFactory

Extending Qt Creator Manual 4.3.0

# JsonWizardFactory Class

(ProjectExplorer::JsonWizardFactory)

Inherits: | Core::IWizardFactory

- List of all members, including inherited members

## Public Types

class | Generator
class | Page

## Static Public Members

void | addWizardPath(const Utils::FileName &path)
QString | localizedString(const QVariant &value)
QList<QVariant> | objectOrList(const QVariant &data, QString *errorMessage)
void | registerGeneratorFactory(JsonWizardGeneratorFactory *factory)
void | registerPageFactory(JsonWizardPageFactory *factory)

- 8 static public members inherited from Core::IWizardFactory

### Additional Inherited Members

- 26 public functions inherited from Core::IWizardFactory
- 3 protected functions inherited from Core::IWizardFactory

## Member Function Documentation

### `[static]` void JsonWizardFactory::addWizardPath(const Utils::FileName &path)

### `[static]` QString JsonWizardFactory::localizedString(const QVariant &value)

### `[static]` QList<QVariant> JsonWizardFactory::objectOrList(const QVariant &data, QString *errorMessage)

### `[static]` void JsonWizardFactory::registerGeneratorFactory(JsonWizardGeneratorFactory *factory)

### `[static]` void JsonWizardFactory::registerPageFactory(JsonWizardPageFactory *factory)